# Uses of Interface
alt.java.io.File

Packages that use File
Package
Description
alt.java.io
com.mockobjects.io

## Uses of File in alt.java.io

Classes in alt.java.io that implement File
Modifier and Type
Class
Description
`class`
`FileImpl`
Methods in alt.java.io that return File
Modifier and Type
Method
Description
`File`
IOFactory.`createFile(String fileName)`
`File`
IOFactoryImpl.`createFile(String fileName)`
`File`
File.`createTempFile(String prefix, String suffix)`
`File`
File.`createTempFile(String prefix, String suffix, File directory)`
`File`
FileImpl.`createTempFile(String prefix, String suffix)`
`File`
FileImpl.`createTempFile(String prefix, String suffix, File directory)`
`File`
File.`getAbsoluteFile()`
`File`
FileImpl.`getAbsoluteFile()`
`File`
File.`getCanonicalFile()`
`File`
FileImpl.`getCanonicalFile()`
`File`
File.`getParentFile()`
`File`
FileImpl.`getParentFile()`
`File[]`
File.`listFiles()`
`File[]`
File.`listFiles(FileFilter filter)`
`File[]`
File.`listFiles(FilenameFilter filter)`
`File[]`
FileImpl.`listFiles()`
`File[]`
FileImpl.`listFiles(FileFilter filter)`
`File[]`
FileImpl.`listFiles(FilenameFilter filter)`
`File[]`
File.`listRoots()`
`File[]`
FileImpl.`listRoots()`
Methods in alt.java.io with parameters of type File
Modifier and Type
Method
Description
`int`
File.`compareTo(File pathname)`
`int`
FileImpl.`compareTo(File pathname)`
`InputStream`
IOFactory.`createInputStream(File aFile)`
`InputStream`
IOFactoryImpl.`createInputStream(File aFile)`
`OutputStream`
IOFactory.`createOutputStream(File aFile)`
`OutputStream`
IOFactoryImpl.`createOutputStream(File aFile)`
`File`
File.`createTempFile(String prefix, String suffix, File directory)`
`File`
FileImpl.`createTempFile(String prefix, String suffix, File directory)`
`boolean`
File.`renameTo(File dest)`
`boolean`
FileImpl.`renameTo(File dest)`

## Uses of File in com.mockobjects.io

Classes in com.mockobjects.io that implement File
Modifier and Type
Class
Description
`class`
`MockFile`
Methods in com.mockobjects.io that return File
Modifier and Type
Method
Description
`File`
MockIOFactory.`createFile(String fileName)`
`File`
MockFile.`createTempFile(String prefix, String suffix)`
`File`
MockFile.`createTempFile(String prefix, String suffix, File directory)`
`File`
MockFile.`getAbsoluteFile()`
`File`
MockFile.`getCanonicalFile()`
`File`
MockFile.`getParentFile()`
`File[]`
MockFile.`listFiles()`
`File[]`
MockFile.`listFiles(FileFilter filter)`
`File[]`
MockFile.`listFiles(FilenameFilter aFilenameFilter)`
`File[]`
MockFile.`listRoots()`
Methods in com.mockobjects.io with parameters of type File
Modifier and Type
Method
Description
`int`
MockFile.`compareTo(File pathname)`
`InputStream`
MockIOFactory.`createInputStream(File aFile)`
`OutputStream`
MockIOFactory.`createOutputStream(File aFile)`
`File`
MockFile.`createTempFile(String prefix, String suffix, File directory)`
`boolean`
MockFile.`renameTo(File dest)`
`void`
MockIOFactory.`setupCreateFile(File file)`
`void`
MockFile.`setupGetParentFile(File parentFile)`
`void`
MockIOFactory.`setupInputStream(File expectedFile, InputStream returnStream)`
`void`
MockFile.`setupListFile(File[] aFilesToReturn)`
`void`
MockIOFactory.`setupOutputStream(File expectedFile, OutputStream returnStream)`